com.mockobjects.jms

## Class MockQueueSender

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.jms.MockMessageProducer
    - - com.mockobjects.jms.MockQueueSender

All Implemented Interfaces:
  Verifiable

    public class MockQueueSender
    extends MockMessageProducer

### Constructor Summary

Constructors
Constructor and Description
`MockQueueSender()`

### Method Summary

Methods
`Queue` `getQueue()`
`void` `send(Message message)`
`void` `send(Message message, int deliveryMode, int priority, long timeToLive)`
`void` `send(Queue queue, Message message)`
`void` `send(Queue queue, Message message, int deliveryMode, int priority, long timeToLive)`
`void` `setExpectedSendCalls(int callCount)`

### Methods inherited from class com.mockobjects.jms.MockMessageProducer

`close, getDeliveryMode, getDisableMessageID, getDisableMessageTimestamp, getPriority, getTimeToLive, setDeliveryMode, setDisableMessageID, setDisableMessageTimestamp, setExpectedCloseCalls, setPriority, setTimeToLive, setupThrowException`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockQueueSender

    public MockQueueSender()

### Method Detail

#### getQueue

    public Queue getQueue()
                   throws JMSException

Throws:
  `JMSException`

#### send

    public void send(Message message)
              throws JMSException

Throws:
  `JMSException`

#### send

    public void send(Message message,
            int deliveryMode,
            int priority,
            long timeToLive)
              throws JMSException

Throws:
  `JMSException`

#### send

    public void send(Queue queue,
            Message message)
              throws JMSException

Throws:
  `JMSException`

#### send

    public void send(Queue queue,
            Message message,
            int deliveryMode,
            int priority,
            long timeToLive)
              throws JMSException

Throws:
  `JMSException`

#### setExpectedSendCalls

    public void setExpectedSendCalls(int callCount)